Commit 76f199ad authored by Francois-Rene Rideau's avatar Francois-Rene Rideau

1.102: Use ASDF 2 as released.

Functionify a macro.
parent 68065400
......@@ -668,23 +668,26 @@
;;;;;;;;;;;;;;;;;;;;;;;;;;;;; Constituent Support ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defmacro with-constituent-groveling (&body body)
`(let (;; Set up tables for tracking variables and constants.
(*suspected-variables* (make-hashset :test 'eql))
(*suspected-constants* (make-hashset :test 'eql))
;; Initialize an fresh constituent environment.
(*constituent-table* (make-hash-table :test #'equal))
(*current-constituent* (make-instance 'top-constituent))
;; Set up machinery for checking internal symbols.
(*previous-package* *package*)
(*previously-interned-symbols*
(let ((hashset (make-hashset :test 'eql)))
(do-symbols (sym *package*)
(hashset-add sym hashset))
hashset))
(*check-internal-symbols-p* t)
;; Indicate that we are groveling.
(*features* (adjoin :groveling *features*)))
,@body))
`(call-with-constituent-groveling (lambda () ,@body)))
(defun call-with-constituent-groveling (thunk)
(let (;; Set up tables for tracking variables and constants.
(*suspected-variables* (make-hashset :test 'eql))
(*suspected-constants* (make-hashset :test 'eql))
;; Initialize an fresh constituent environment.
(*constituent-table* (make-hash-table :test #'equal))
(*current-constituent* (make-instance 'top-constituent))
;; Set up machinery for checking internal symbols.
(*previous-package* *package*)
(*previously-interned-symbols*
(let ((hashset (make-hashset :test 'eql)))
(do-symbols (sym *package*)
(hashset-add sym hashset))
hashset))
(*check-internal-symbols-p* t)
;; Indicate that we are groveling.
(*features* (adjoin :groveling *features*)))
(funcall thunk)))
(defmacro operating-on-asdf-component-constituent ((component) &body body)
"Used internally; not exported."
......
......@@ -3,7 +3,7 @@
(cl:in-package :asdf)
(defpackage #:asdf-dependency-grovel
(:use #:cl)
(:use #:cl #:asdf)
(:export #:reload
#:component-file
#:dependency-op
......@@ -31,14 +31,14 @@
(in-package #:asdf-dependency-grovel)
(defparameter *asdf-dependency-grovel-version* "1.101")
(defparameter *asdf-version-required-by-adg* "1.702")
(defparameter *asdf-dependency-grovel-version* "1.102")
(defparameter *asdf-version-required-by-adg* "2.000")
#-asdf2
(error "ASDF-DEPENDENCY-GROVEL requires ASDF2.")
#+asdf2
(unless (asdf:version-satisfies (asdf:asdf-version) *asdf-version-required-by-adg*)
(error "POIU ~A requires ASDF ~A or later."
(error "ASDF-DEPENDENCY-GROVEL ~A requires ASDF ~A or later."
*asdf-dependency-grovel-version*
*asdf-version-required-by-adg*))
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment